// Code generated by go-swagger; DO NOT EDIT.

package ticketboss

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"
	"github.com/go-openapi/strfmt"
	"github.com/go-openapi/swag"
)

// EventsOKCode is the HTTP code returned for type EventsOK
const EventsOKCode int = 200

/*EventsOK Event table / model

swagger:response eventsOK
*/
type EventsOK struct {
	/*

	 */
	ContactPersonEmail string `json:"contact_person_email"`
	/*

	 */
	ContactPersonName string `json:"contact_person_name"`
	/*

	 */
	ContactPersonPhone string `json:"contact_person_phone"`
	/*

	 */
	DateCreated strfmt.DateTime `json:"date_created"`
	/*

	 */
	Description string `json:"description"`
	/*

	 */
	EventEndDate string `json:"event_end_date"`
	/*

	 */
	EventStartDate string `json:"event_start_date"`
	/*

	 */
	ID int64 `json:"id"`
	/*

	 */
	Name string `json:"name"`
	/*

	 */
	Status int64 `json:"status"`
}

// NewEventsOK creates EventsOK with default headers values
func NewEventsOK() *EventsOK {

	return &EventsOK{}
}

// WithContactPersonEmail adds the contactPersonEmail to the events o k response
func (o *EventsOK) WithContactPersonEmail(contactPersonEmail string) *EventsOK {
	o.ContactPersonEmail = contactPersonEmail
	return o
}

// SetContactPersonEmail sets the contactPersonEmail to the events o k response
func (o *EventsOK) SetContactPersonEmail(contactPersonEmail string) {
	o.ContactPersonEmail = contactPersonEmail
}

// WithContactPersonName adds the contactPersonName to the events o k response
func (o *EventsOK) WithContactPersonName(contactPersonName string) *EventsOK {
	o.ContactPersonName = contactPersonName
	return o
}

// SetContactPersonName sets the contactPersonName to the events o k response
func (o *EventsOK) SetContactPersonName(contactPersonName string) {
	o.ContactPersonName = contactPersonName
}

// WithContactPersonPhone adds the contactPersonPhone to the events o k response
func (o *EventsOK) WithContactPersonPhone(contactPersonPhone string) *EventsOK {
	o.ContactPersonPhone = contactPersonPhone
	return o
}

// SetContactPersonPhone sets the contactPersonPhone to the events o k response
func (o *EventsOK) SetContactPersonPhone(contactPersonPhone string) {
	o.ContactPersonPhone = contactPersonPhone
}

// WithDateCreated adds the dateCreated to the events o k response
func (o *EventsOK) WithDateCreated(dateCreated strfmt.DateTime) *EventsOK {
	o.DateCreated = dateCreated
	return o
}

// SetDateCreated sets the dateCreated to the events o k response
func (o *EventsOK) SetDateCreated(dateCreated strfmt.DateTime) {
	o.DateCreated = dateCreated
}

// WithDescription adds the description to the events o k response
func (o *EventsOK) WithDescription(description string) *EventsOK {
	o.Description = description
	return o
}

// SetDescription sets the description to the events o k response
func (o *EventsOK) SetDescription(description string) {
	o.Description = description
}

// WithEventEndDate adds the eventEndDate to the events o k response
func (o *EventsOK) WithEventEndDate(eventEndDate string) *EventsOK {
	o.EventEndDate = eventEndDate
	return o
}

// SetEventEndDate sets the eventEndDate to the events o k response
func (o *EventsOK) SetEventEndDate(eventEndDate string) {
	o.EventEndDate = eventEndDate
}

// WithEventStartDate adds the eventStartDate to the events o k response
func (o *EventsOK) WithEventStartDate(eventStartDate string) *EventsOK {
	o.EventStartDate = eventStartDate
	return o
}

// SetEventStartDate sets the eventStartDate to the events o k response
func (o *EventsOK) SetEventStartDate(eventStartDate string) {
	o.EventStartDate = eventStartDate
}

// WithID adds the id to the events o k response
func (o *EventsOK) WithID(id int64) *EventsOK {
	o.ID = id
	return o
}

// SetID sets the id to the events o k response
func (o *EventsOK) SetID(id int64) {
	o.ID = id
}

// WithName adds the name to the events o k response
func (o *EventsOK) WithName(name string) *EventsOK {
	o.Name = name
	return o
}

// SetName sets the name to the events o k response
func (o *EventsOK) SetName(name string) {
	o.Name = name
}

// WithStatus adds the status to the events o k response
func (o *EventsOK) WithStatus(status int64) *EventsOK {
	o.Status = status
	return o
}

// SetStatus sets the status to the events o k response
func (o *EventsOK) SetStatus(status int64) {
	o.Status = status
}

// WriteResponse to the client
func (o *EventsOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	// response header contact_person_email

	contactPersonEmail := o.ContactPersonEmail
	if contactPersonEmail != "" {
		rw.Header().Set("contact_person_email", contactPersonEmail)
	}

	// response header contact_person_name

	contactPersonName := o.ContactPersonName
	if contactPersonName != "" {
		rw.Header().Set("contact_person_name", contactPersonName)
	}

	// response header contact_person_phone

	contactPersonPhone := o.ContactPersonPhone
	if contactPersonPhone != "" {
		rw.Header().Set("contact_person_phone", contactPersonPhone)
	}

	// response header date_created

	dateCreated := o.DateCreated.String()
	if dateCreated != "" {
		rw.Header().Set("date_created", dateCreated)
	}

	// response header description

	description := o.Description
	if description != "" {
		rw.Header().Set("description", description)
	}

	// response header event_end_date

	eventEndDate := o.EventEndDate
	if eventEndDate != "" {
		rw.Header().Set("event_end_date", eventEndDate)
	}

	// response header event_start_date

	eventStartDate := o.EventStartDate
	if eventStartDate != "" {
		rw.Header().Set("event_start_date", eventStartDate)
	}

	// response header id

	id := swag.FormatInt64(o.ID)
	if id != "" {
		rw.Header().Set("id", id)
	}

	// response header name

	name := o.Name
	if name != "" {
		rw.Header().Set("name", name)
	}

	// response header status

	status := swag.FormatInt64(o.Status)
	if status != "" {
		rw.Header().Set("status", status)
	}

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(200)
}
